Bug 1005095 - Upgrading Tomcat plugin, metric names not updated
Upgrading Tomcat plugin, metric names not updated
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.13
Assigned To: Jean-frederic Clere
Mike Foley
Depends On:
Blocks: 1005109
  Show dependency treegraph
Reported: 2013-09-06 04:29 EDT by Thomas Segismont
Modified: 2014-07-08 04:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1005109 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2013-09-06 04:29:48 EDT
Description of problem:
When upgrading a 4.5 and older RHQ installation, the Tomcat plugin is not updated.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RHQ 4.5
2. Upgrade to RHQ 4.6 or newer

Actual results:
The Tomcat plugin is not updated

Expected results:
The Tomcat plugin is updated

Additional info:
The following exception is thrown:
java.lang.IllegalArgumentException: The property [name] marked as required in the configuration definition of [Tomcat Connector] has no attribute 'default'  

Reported by user in community forum:
Comment 1 Heiko W. Rupp 2014-05-08 10:42:56 EDT
Bump the target version now that 4.11 is out.
Comment 2 Jay Shaughnessy 2014-07-07 13:20:05 EDT
Hi Jean-Frederic, is this issue resolved for 4.12?  Otherwise we may need to move the target to 4.13.  Thanks, Jay
Comment 3 Jean-frederic Clere 2014-07-08 03:20:07 EDT
I didn't have time to work on it so move it to 4.13.

Note You need to log in before you can comment on or make changes to this bug.